#include<iostream>
#include<string>
#include<cmath>
using namespace std;
int main(){
	string t;
	cin>>t;
	int r,b1=0,b2=0;
	bool u=false;
	for(int i=0;i<=((t.length()-1)/2);i++){
		if(t[i]!=t[t.length()-1-i]){ 
		        if(u==false){
		           if(t[i]=='b')b1=i;
				   if(t[t.length()-1-i]=='b')b1=t.length()-1-i;	
				}
				else{
					if(t[i]=='b')b2=i;
				    if(t[t.length()-1-i]=='b')b2=t.length()-1-i;
				}
				u=true;
		}
	}
	if(b1==0&&b2==0){
		r=1;
		cout<<r;
		return 0;
	}
	int x=t.length();
	int s=(x-1)/2;
	//sa raznih polovina
	if((b1<=(t.length()-1)/2&&b2>=(t.length()-1)/2)||(b1>=(t.length()-1)/2&&b2<=(t.length()-1)/2)){
			r=abs((x)-1-b1-b2)+1;
	}
	//trpamo u sredinu
	else{
		r=abs(s+1-b1)+1;
	}
	cout<<r;
	return 0;
}